Gå til hovedinnhold

Fetch market activity summary for a specific area.

POST 

/map-layer/chart/property-type

Market Activity Chart Data By Property Type For Area Analysis Endpoint

Overview

This API returns a chart data based on property type data of market activity. By giving it the same request as /api/public/map-layer/market-activity/summary, you will be able to generate a chart based on the property types of the summary. Optionally, a price range can also be provided to further filter for the charts data. Use geojson for generating the coordinates in a geojson format.

Parameters

ParameterTypeRequiredDescription
bboxarray[array[array[float]]]YesA GeoJSON object containing the coordinates of a geometry in [longitude, latitude] format.
property-typearray[integer]YesA list of property types. Expected values: 0: 'leilighet', 1: 'enebolig', 2: 'tomannsbolig', 3: 'rekkehus', 4: 'fritidsbolig'.
market-activity-typearray[integer]YesA list of market activity types. Expected values: 0: 'OPM_TRANSACTION', 1: 'AD', 2: 'FOR_SALE', 3: 'OTHER_TRANSACTION'.
time-periodstringYesSpecifies the data range. Possible values: '3 mo', '6 mo', '1 yr', '2 yr', '3 yr', '4 yr', '5 yr', '10 yr'.
braobjectYesAn object defining the building's gross area with min and max values. Example: { "min": 0, "max": 100 }.
priceobjectYesAn object defining the price range with min and max values. Example: { "min": 10000, "max": 10000000 }.

Headers

HeaderValue
acceptapplication/json
api-keyYOUR_API_KEY

Example Request

curl -X 'POST' \
'https://apis.propcloud.no/api/public/map-layer/chart/property-type' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"bbox": {
"type": "Polygon",
"coordinates": [
[
[
10.776086561681458,
59.9028339763978
],
[
10.781317878721966,
59.9028339763978
],
[
10.781317878721966,
59.90083870179467
],
[
10.776086561681458,
59.90083870179467
],
[
10.776086561681458,
59.9028339763978
]
]
]
},
"property-type": [
0,
1,
2,
3,
4
],
"market-activity-type": [
0,
1,
2,
3
],
"time-period": "3 mo",
"bra": {
"min": 0,
"max": 100
},
"price": {
"min": 10000,
"max": 10000000
}
}'

Request

Responses

Successful Response